//
//  {{ prefix }}{{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

// MARK: - Builder
protocol {{ module_info.name }}BuilderProtocol: class {
	static func build() -> {{ module_info.name }}ViewController
}

// MARK: - View
protocol {{ module_info.name }}ViewInput: class {}
protocol {{ module_info.name }}ViewOutput {}

// MARK: - Interactor
protocol {{ module_info.name }}InteractorInput {}
protocol {{ module_info.name }}InteractorOutput: class {}

// MARK: - Router
protocol {{ module_info.name }}RouterInput: class {}